Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05747 Misc. Minor Always Oct 20, 2014, 20:26 Nov 24, 2014, 16:11
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To R. Belmont Resolution Fixed OS Windows XP
Status [?] Resolved Driver apple2.cpp
Version 0.155 Fixed in Version 0.156 Build Normal
Summary MESS-specific 05747: apple2p, apple2e, apple2c (and probably others): The "Diagnostics Test" failed.
Description The mention systems failed on diagnostics test.
Steps To Reproduce mess apple2c -flop1 "A2eDiagnostics_v2.1.dsk" ...... (failed test as shown on attached picture)

mess apple2e -flop1 "A2eDiagnostics_v2.1.dsk" ...... (same test as above except it enter into the monitor on some of tests)

mess apple2p -flop1 "diagnosticsII+.dsk" ...... (at the test screen, if press the Esc-key it starts to acting crazy)
Additional Information Apple II+ Diagnostics = apple_ii__diagnostics.zip
Apple IIe Diagnostics 2.1 = apple_iie_diagnostics_2.1.zip

http://apple2online.com/index.php?p=1_24_Software-A-C


AFAIK, the emu "AppleWin1.25.0.3" passed the "A2eDiagnostics_v2.1" test.
Flags
Regression Version
Affected Sets / Systems apple2p, apple2e, apple2c (and probably others)
Attached Files
png file icon apple2c.png (3,286 bytes) Oct 20, 2014, 20:26 Uploaded by demotester
demotester
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.11137
demotester
Tester
Oct 21, 2014, 15:38
edited on: Oct 21, 2014, 15:57
Just tested ... apple2ep (forgot on this one earlier), and it pass the 2.1 diagnostics on most parts, except the keyboard test ... failed after asking to press and hold the Z-key - autorepeat key testing !!!

mess apple2ep -flop1 A2eDiagnostics_v2.1.dsk

p.s. It seems the AppleWin emu also fails at the same place !